
Redmine - Defect #3715

Login page should not show projects link and search box if authentication is required

2009-08-06 09:38 - Lucas Panjer

Status: Closed Start date: 2009-08-06

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

If authentication is required then you can't reach any other page unless you have logged in. To avoid confusion for users and for a

cleaner login page, the "Projects" link and "Search" box in the header menu should not appear. Any contribution to the header menu

from plugins should also be suppressed.

Related issues:

Is duplicate of Redmine - Patch #2321: Hide search textbox if authorization r... Closed 2008-12-12

Associated revisions

Revision 5007 - 2011-03-04 16:14 - Jean-Philippe Lang

Fixed: Login page should not show projects link and search box if authentication is required (#3715).

History

#1 - 2009-09-04 08:37 - Lucas Panjer

- File 3715-1.diff added

simple approach attached in diff

#2 - 2009-09-05 19:15 - Eric Davis

Nice simple implementation.  It would be good to add a short integration test for this to make sure they stay hidden in the future.

#3 - 2009-09-09 10:03 - Lucas Panjer

- File 3715-2.patch added

Added a test. The menu_manager test suite seemed like a roughly appropriate spot for it.

Adjusted change to remove the entire #quick-search. I don't see any point in leaving the div with no form.

The other approach to this issue is to ask each plugin to respect the login_required setting and adjust Redmine in the menu manager somewhere.

This approach would preserve the ability to show menu items to unauthenticated users when login is required, which the approach in this patch does

not allow.

#4 - 2009-11-11 19:53 - Jean-Philippe Lang

- Category set to UI

- Priority changed from Normal to Low

#5 - 2011-02-26 17:45 - Etienne Massip

- Target version set to Candidate for next major release

#6 - 2011-03-04 16:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version changed from Candidate for next major release to 1.2.0

- Resolution set to Fixed

Patch committed in r5007. Test slightly edited and moved to layout_test.
#7 - 2011-03-05 11:56 - Denis Tomashenko

#2321 - this can be closed too

#8 - 2011-03-05 12:48 - Etienne Massip

Done, thanks.

Files

3715-1.diff 1.16 KB 2009-09-04 Lucas Panjer

3715-2.patch 1.65 KB 2009-09-09 Lucas Panjer
